Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  extmin und extmax

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   extmin und extmax (1243 mal gelesen)
WolfgangGutke
Mitglied
Konstrukteur


Sehen Sie sich das Profil von WolfgangGutke an!   Senden Sie eine Private Message an WolfgangGutke  Schreiben Sie einen Gästebucheintrag für WolfgangGutke

Beiträge: 109
Registriert: 28.09.2004

AutoCAD 2002
AutoCAD 2006
ObjectDCL 2.02

erstellt am: 17. Jun. 2005 17:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

wie kommt man an die Werte "extmin" und "extmax" des Modellbereichs, wenn man sich im Layoutbereich befindet. Mit Sicherheit nur über vla - aber wie?

Habe mir die Daten schon über

(setq model (vla-get-modelspace
(vla-get-activedocument (vlax-get-acad-object))
))

geholt, kann aber irgenwie nichts finden!

Gruß
Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 17. Jun. 2005 17:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für WolfgangGutke 10 Unities + Antwort hilfreich

Hallo Wolfgang,

schau dir mal das PViewport-Objekt an, daraus kannst du die Höhe, Breite und den Fenstermittelpunkt ermitteln. Über die Skalierung usw kannst du dann die Modellbereichskoordinaten ermitteln.

Grüße Holger

------------------
Holger Brischke
CAD on demand GmbH                              Autodesk User Group Central Europe
Individuelle Lösungen von Heute auf Morgen.              AUGCE Manager Deutschland

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WolfgangGutke
Mitglied
Konstrukteur


Sehen Sie sich das Profil von WolfgangGutke an!   Senden Sie eine Private Message an WolfgangGutke  Schreiben Sie einen Gästebucheintrag für WolfgangGutke

Beiträge: 109
Registriert: 28.09.2004

AutoCAD 2002
AutoCAD 2006
ObjectDCL 2.02

erstellt am: 20. Jun. 2005 10:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von Brischke:
Hallo Wolfgang,

schau dir mal das PViewport-Objekt an, daraus kannst du die Höhe, Breite und den Fenstermittelpunkt ermitteln. Über die Skalierung usw kannst du dann die Modellbereichskoordinaten ermitteln.

Grüße Holger


Hallo Holger

irgendwie bin ich "Betriebsblind". Kannst du mir nochmal bitte helfen, wie ich auf das Objekt "PViewport" komme (Vielleicht mit kleinem Beispiel)?

Vielen Dank!

Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 20. Jun. 2005 14:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für WolfgangGutke 10 Unities + Antwort hilfreich

Hallo Wolfgang,

folgendes Bsp habe ich dir aus der ActiveX-Hilfe kopiert.

Code:
Sub Example_Clipped()
    ' This example scans the current drawing paper space Viewports
    ' and displays whether or not any of them are clipped.
   
    Dim pviewportObj As Object
    Dim msg As String, ClippedState As String
   
    ' Make sure this drawing contains paper space viewports before continuing
    If ThisDrawing.PaperSpace.count = 0 Then
        MsgBox "There are no paper space viewports in the current drawing."
        Exit Sub
    End If
   
    ' Go through each PViewport object in the drawing paper space
    ' and determine whether the paper space viewport is clipped or not
   
    For Each pviewportObj In ThisDrawing.PaperSpace
       
        ' Determine if this is a paper space viewport
        If TypeName(pviewportObj) = "IAcadPViewport" Then
           
            ' Determine if this paper space viewport is clipped
            ClippedState = IIf(pviewportObj.Clipped, " is clipped", " is not clipped")
            msg = msg & "PViewport ID " & pviewportObj.objectID & ClippedState & vbCrLf
       
        End If
   
    Next

    ' Display clipped state of paper space Viewports
    MsgBox msg
End Sub



Der Zugriff ist im VL ja der selbe Weg.

Grüße Holger

------------------
Holger Brischke
CAD on demand GmbH                              Autodesk User Group Central Europe
Individuelle Lösungen von Heute auf Morgen.              AUGCE Manager Deutschland

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz